Get VPS instance information by ID
curl --request GET \
--url https://api.storiza.store/vps/{vmId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vmId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vmId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "VPS information retrieved successfully",
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example VPS",
"description": "Example VPS",
"isCancelled": false,
"suspended": false,
"cancelledAt": null,
"provisionCurrentStep": 0,
"owner": {
"id": "00000000-0000-4000-8000-000000000000",
"username": "example",
"email": "[email protected]",
"firstname": "First",
"lastname": "Last",
"fullname": "First Last",
"flags": "48",
"theme": "system",
"language": "en",
"currency": "USD",
"timezone": "Europe/London",
"notificationPreferences": {
"securityAlerts": true,
"billingNotifications": true,
"serverStatus": true,
"productUpdates": true,
"newsletter": false,
"marketingEmails": false
},
"loginMethods": [],
"twoFactorEnabled": false,
"balance": "0",
"accountLimits": {
"apps": -1,
"vps": -1,
"priceByApp": -1,
"priceByVPS": -1,
"timeByApp": -1,
"timeByVPS": -1,
"mode": "unlimited"
},
"createdAt": "2026-10-09T14:57:33.835Z",
"isVerified": false,
"isSuspended": false,
"isBanned": false,
"isAdmin": false,
"isSupport": false,
"isBetaTester": false
},
"datacenter": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example Datacenter",
"priority": 1,
"location": "Example Location",
"region": "EU",
"country": "EG",
"features": [
{
"feature": "Standard"
}
],
"isActive": true,
"isMaintenanceMode": false,
"isAvailable": true,
"supportFreeTrial": false,
"isForFreeTrialOnly": false,
"createdAt": "2026-10-09T14:57:33.923Z"
},
"plan": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Basic VPS",
"price": "9.99",
"ram": {
"size": 2048,
"sizeGB": 2
},
"storage": {
"size": 20480,
"sizeGB": 20
},
"cpuCores": 2,
"cpuThreads": 4,
"cpu": {
"cores": 2,
"threads": 4
},
"networkSpeedLimitMbps": 1000,
"bandwidthLimitGb": 4096,
"maxSnapshots": 3,
"duration": "2592000000",
"able": true,
"hidden": false,
"outOfStock": false,
"isAvailable": true,
"createdAt": "2026-10-09T14:57:33.988Z",
"updatedAt": "2026-10-09T14:57:33.988Z"
},
"template": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Ubuntu",
"description": "Ubuntu 24.04 LTS",
"slug": "ubuntu",
"iconURL": "https://cdn.example.com/icons/ubuntu.png",
"category": "plain_os",
"platform": "linux",
"tags": [],
"features": [],
"versions": [
{
"slug": "24.04-lts",
"label": "24.04 LTS",
"isLatest": true,
"isAutoSelect": true
}
],
"isActive": true,
"isPopular": true,
"defaultUsername": "root",
"inputs": [],
"metadata": {},
"createdAt": "2026-10-09T14:57:33.993Z",
"updatedAt": "2026-10-09T14:57:33.993Z"
},
"inputs": {},
"ip": {
"id": "00000000-0000-4000-8000-000000000000",
"address": "192.168.1.10",
"gateway": "192.168.1.1",
"netmask": "24",
"primaryDns": "8.8.8.8",
"secondaryDns": "8.8.4.4",
"datacenter": {
"id": "00000000-0000-4000-8000-000000000000"
},
"node": "s000",
"isActive": true,
"createdAt": "2026-10-09T14:57:33.982Z",
"updatedAt": "2026-10-09T14:57:33.982Z",
"cidrNotation": "192.168.1.10/24"
},
"additionalIps": [],
"backupPlan": null,
"subscriptionId": "00000000-0000-4000-8000-000000000000",
"subscription": {
"id": "00000000-0000-4000-8000-000000000000",
"status": "active",
"user": {
"id": "00000000-0000-4000-8000-000000000000"
},
"provider": "balance",
"method": "balance",
"amount": "12",
"currency": "USD",
"durationDays": 30,
"currentPeriodEnd": "2026-10-09T14:57:33.877Z",
"supportsManagement": false,
"metadata": {}
},
"backupSubscription": {
"id": "00000000-0000-4000-8000-000000000000",
"status": "active",
"user": {
"id": "00000000-0000-4000-8000-000000000000"
},
"provider": "balance",
"method": "balance",
"amount": "12",
"currency": "USD",
"durationDays": 30,
"currentPeriodEnd": "2026-10-09T14:57:33.877Z",
"supportsManagement": false,
"metadata": {}
},
"backupCancelled": false,
"backupCancelledAt": null,
"backupSubscriptionExpiresAt": null,
"hostname": "example-hostname",
"sshKey": null,
"members": [],
"createdAt": "2026-10-09T14:57:34.001Z",
"updatedAt": "2026-10-09T14:57:34.001Z",
"requiresProvision": false,
"provision": null,
"status": "Pending"
}
}Servers
Get VPS instance information by ID
Returns the VPS record (including its plan, template, datacenter, IP and owner). If the VPS is not yet active, ensures a creation job exists and is progressing (recreating or retrying it when stuck).
Required API key permission: vps:read
GET
/
vps
/
{vmId}
Get VPS instance information by ID
curl --request GET \
--url https://api.storiza.store/vps/{vmId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vmId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vmId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "VPS information retrieved successfully",
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example VPS",
"description": "Example VPS",
"isCancelled": false,
"suspended": false,
"cancelledAt": null,
"provisionCurrentStep": 0,
"owner": {
"id": "00000000-0000-4000-8000-000000000000",
"username": "example",
"email": "[email protected]",
"firstname": "First",
"lastname": "Last",
"fullname": "First Last",
"flags": "48",
"theme": "system",
"language": "en",
"currency": "USD",
"timezone": "Europe/London",
"notificationPreferences": {
"securityAlerts": true,
"billingNotifications": true,
"serverStatus": true,
"productUpdates": true,
"newsletter": false,
"marketingEmails": false
},
"loginMethods": [],
"twoFactorEnabled": false,
"balance": "0",
"accountLimits": {
"apps": -1,
"vps": -1,
"priceByApp": -1,
"priceByVPS": -1,
"timeByApp": -1,
"timeByVPS": -1,
"mode": "unlimited"
},
"createdAt": "2026-10-09T14:57:33.835Z",
"isVerified": false,
"isSuspended": false,
"isBanned": false,
"isAdmin": false,
"isSupport": false,
"isBetaTester": false
},
"datacenter": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example Datacenter",
"priority": 1,
"location": "Example Location",
"region": "EU",
"country": "EG",
"features": [
{
"feature": "Standard"
}
],
"isActive": true,
"isMaintenanceMode": false,
"isAvailable": true,
"supportFreeTrial": false,
"isForFreeTrialOnly": false,
"createdAt": "2026-10-09T14:57:33.923Z"
},
"plan": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Basic VPS",
"price": "9.99",
"ram": {
"size": 2048,
"sizeGB": 2
},
"storage": {
"size": 20480,
"sizeGB": 20
},
"cpuCores": 2,
"cpuThreads": 4,
"cpu": {
"cores": 2,
"threads": 4
},
"networkSpeedLimitMbps": 1000,
"bandwidthLimitGb": 4096,
"maxSnapshots": 3,
"duration": "2592000000",
"able": true,
"hidden": false,
"outOfStock": false,
"isAvailable": true,
"createdAt": "2026-10-09T14:57:33.988Z",
"updatedAt": "2026-10-09T14:57:33.988Z"
},
"template": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Ubuntu",
"description": "Ubuntu 24.04 LTS",
"slug": "ubuntu",
"iconURL": "https://cdn.example.com/icons/ubuntu.png",
"category": "plain_os",
"platform": "linux",
"tags": [],
"features": [],
"versions": [
{
"slug": "24.04-lts",
"label": "24.04 LTS",
"isLatest": true,
"isAutoSelect": true
}
],
"isActive": true,
"isPopular": true,
"defaultUsername": "root",
"inputs": [],
"metadata": {},
"createdAt": "2026-10-09T14:57:33.993Z",
"updatedAt": "2026-10-09T14:57:33.993Z"
},
"inputs": {},
"ip": {
"id": "00000000-0000-4000-8000-000000000000",
"address": "192.168.1.10",
"gateway": "192.168.1.1",
"netmask": "24",
"primaryDns": "8.8.8.8",
"secondaryDns": "8.8.4.4",
"datacenter": {
"id": "00000000-0000-4000-8000-000000000000"
},
"node": "s000",
"isActive": true,
"createdAt": "2026-10-09T14:57:33.982Z",
"updatedAt": "2026-10-09T14:57:33.982Z",
"cidrNotation": "192.168.1.10/24"
},
"additionalIps": [],
"backupPlan": null,
"subscriptionId": "00000000-0000-4000-8000-000000000000",
"subscription": {
"id": "00000000-0000-4000-8000-000000000000",
"status": "active",
"user": {
"id": "00000000-0000-4000-8000-000000000000"
},
"provider": "balance",
"method": "balance",
"amount": "12",
"currency": "USD",
"durationDays": 30,
"currentPeriodEnd": "2026-10-09T14:57:33.877Z",
"supportsManagement": false,
"metadata": {}
},
"backupSubscription": {
"id": "00000000-0000-4000-8000-000000000000",
"status": "active",
"user": {
"id": "00000000-0000-4000-8000-000000000000"
},
"provider": "balance",
"method": "balance",
"amount": "12",
"currency": "USD",
"durationDays": 30,
"currentPeriodEnd": "2026-10-09T14:57:33.877Z",
"supportsManagement": false,
"metadata": {}
},
"backupCancelled": false,
"backupCancelledAt": null,
"backupSubscriptionExpiresAt": null,
"hostname": "example-hostname",
"sshKey": null,
"members": [],
"createdAt": "2026-10-09T14:57:34.001Z",
"updatedAt": "2026-10-09T14:57:34.001Z",
"requiresProvision": false,
"provision": null,
"status": "Pending"
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Minimum string length:
1Response
VPS information retrieved successfully
Available options:
true Available options:
VPS information retrieved successfully Schema for VPS model
Show child attributes
Show child attributes
Example:
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example VPS",
"description": "Example VPS",
"isCancelled": false,
"suspended": false,
"cancelledAt": null,
"provisionCurrentStep": 0,
"owner": { "id": "example-owner-id" },
"datacenter": {
"id": "00000000-0000-4000-8000-000000000000"
},
"plan": {
"id": "00000000-0000-4000-8000-000000000000"
},
"template": {
"id": "00000000-0000-4000-8000-000000000000"
},
"inputs": {},
"ip": null,
"additionalIps": [],
"backupPlan": null,
"subscriptionId": "00000000-0000-4000-8000-000000000000",
"subscription": {
"id": "00000000-0000-4000-8000-000000000000"
},
"backupSubscription": null,
"backupCancelled": false,
"backupCancelledAt": null,
"backupSubscriptionExpiresAt": null,
"hostname": "example-hostname",
"sshKey": null,
"members": [],
"createdAt": "2026-10-09T14:57:34.001Z",
"updatedAt": "2026-10-09T14:57:34.001Z",
"requiresProvision": false,
"provision": null,
"status": "Pending"
}
Was this page helpful?